Subject: Re: Postgresql on NT
From: Jason Tishler <[email-masked]>
To: Riaan Labuschagne <[email-masked]>
Cc: Cygwin Mailing list <[email-masked]>, Pgsql-Cygwin <[email-masked]>
Date: Wed, 11 Jul 2001 09:47:55 -0400

Riaan,

A more appropriate mailing list for your questions is
[email-masked].  I have CC'ed that list for your
convenience.

On Wed, Jul 11, 2001 at 09:33:09AM +0200, Riaan Labuschagne wrote:
> Question 1. I have read the Postgresql readme and have the bear minimum
> needed to install Cygwin and PG on a NT machine. I currently execute PG with
> a batch file that looks as follows.
> [snip]
> the problem now is that I do not know how to close the Cygwin Window once
> everything is running.
> 
> Question 2.  The second Q. I would like to confirm: To execute a command
> through the Windows "Start - Run" command I would type the following in the
> Run window -- "c:\cygwin\bin\bash --verbose -c "./postmaster -S -i -F -D
> /var/lib/pgsql/data"" to execute Pg for instance. Is this the correct way of
> doing things?   P.S. The problem with this is that my Cygwin window is
> shelled and I again have the problem as in Q1.

You probably should run postmaster as a NT service using cygrunsrv.  See
the cygrunsrv README or search the archives for details.  But, see the
caveat below...

BTW, use of the "-S" option is discouraged -- see the man pages for
details and the recommended way to start postmaster in the background.

> Question 3.  Once I shutdown NT and the Cygwin window is still open an "End
> Task" window comes up. If I close the Cygwin window and do a Shutdown the
> shutdown proceeds normally. Postgresql however does not shutdown correctly.
> This is not a problem as I will close it before I do a shutdown. The
> question is -- can I enable Pg to adhere to NT's shutdown command?

However, there is still one issue to be solved before postmaster will
shutdown cleanly during the NT shutdown process.  Specifically, postmaster
needs to be patched to ignore the SIGHUP that the Cygwin DLL sends when
it receives the NT shutdown message.

> Question 4. The last Q. I would like to do a remote installation on a number
> of machines without any human intervention is this possible with the
> Cygwin/Pg installation, and if it is where can I find out how this is done?

Sorry, I can't help you will this one.

Jason

-- 
Jason Tishler
Director, Software Engineering       Phone: 732.264.8770 x235
Dot Hill Systems Corp.               Fax:   732.264.8798
82 Bethany Road, Suite 7             Email: [email-masked]
Hazlet, NJ 07730 USA                 WWW:   http://www.dothill.com

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/